#ifndef QMOVIEDB_H
#define QMOVIEDB_H

#include <QObject>
#include <QNetworkAccessManager>
#include <QJsonObject>

class QMovieDB : public QObject
{
    Q_OBJECT
public:
    explicit QMovieDB(QString apiKey, QObject *parent = nullptr);

    QNetworkAccessManager *netMan;

    void searchMovieTitle(const QString title);

private:
    QString movieDbApiKey;

private slots:
    void receiveReply(QNetworkReply *reply);
    void parseResults(QJsonObject json);

signals:
};

#endif // QMOVIEDB_H
